Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Halide::Internal::GeneratorParam_Type< T > Class Template Reference

`#include <Generator.h>`

Inheritance diagram for Halide::Internal::GeneratorParam_Type< T >:

## Public Member Functions
| GeneratorParam_Type (const std::string &name, const T &value)
std::string | call_to_string (const std::string &v) const override
std::string | get_c_type () const override
std::string | get_default_value () const override
std::string | get_type_decls () const override
Public Member Functions inherited from Halide::Internal::GeneratorParam_Enum< T >
| GeneratorParam_Enum (const std::string &name, const T &value, const std::map< std::string, T > &enum_map)
template<typename T2 = T, std::enable_if_t<!std::is_same_v< T2, Type > > * = nullptr>
void | set (const T &e)
void | set_from_string (const std::string &new_value_string) override
Public Member Functions inherited from Halide::Internal::GeneratorParamImpl< T >
| GeneratorParamImpl (const std::string &name, const T &value)
T | value () const
| operator T () const
| operator Expr () const
void | set (const std::string &new_value)
Public Member Functions inherited from Halide::Internal::GeneratorParamBase
| GeneratorParamBase (const std::string &name)
virtual | ~GeneratorParamBase ()
const std::string & | name () const
void | set (const std::string &new_value)
void | set (const char *new_value)
| GeneratorParamBase (const GeneratorParamBase &)=delete
GeneratorParamBase & | operator= (const GeneratorParamBase &)=delete
| GeneratorParamBase (GeneratorParamBase &&)=delete
GeneratorParamBase & | operator= (GeneratorParamBase &&)=delete

## Additional Inherited Members
Public Types inherited from Halide::Internal::GeneratorParamImpl< T >
using | type = T
Protected Member Functions inherited from Halide::Internal::GeneratorParamImpl< T >
virtual void | set_impl (const T &new_value)
Protected Member Functions inherited from Halide::Internal::GeneratorParamBase
void | check_value_readable () const
void | check_value_writable () const
virtual bool | is_synthetic_param () const
virtual bool | is_looplevel_param () const
void | fail_wrong_type (const char *type)
Protected Attributes inherited from Halide::Internal::GeneratorParamImpl< T >
T | value_

## Detailed Description

template<typename T>
class Halide::Internal::GeneratorParam_Type< T >

Definition at line 895 of file Generator.h.

## Constructor & Destructor Documentation

## ◆ GeneratorParam_Type()

template<typename T >

Halide::Internal::GeneratorParam_Type< T >::GeneratorParam_Type | ( | const std::string & | name,
|  | const T & | value
| ) |  |
| inline

Definition at line 897 of file Generator.h.

## Member Function Documentation

## ◆ call_to_string()

template<typename T >

std::string Halide::Internal::GeneratorParam_Type< T >::call_to_string | ( | const std::string & | v | ) | const
| inline override virtual

Reimplemented from Halide::Internal::GeneratorParam_Enum< T >.

Definition at line 901 of file Generator.h.

## ◆ get_c_type()

template<typename T >

std::string Halide::Internal::GeneratorParam_Type< T >::get_c_type | ( |  | ) | const
| inline override virtual

Reimplemented from Halide::Internal::GeneratorParam_Enum< T >.

Definition at line 905 of file Generator.h.

## ◆ get_default_value()

template<typename T >

std::string Halide::Internal::GeneratorParam_Type< T >::get_default_value | ( |  | ) | const
| inline override virtual

Reimplemented from Halide::Internal::GeneratorParam_Enum< T >.

Definition at line 909 of file Generator.h.

References Halide::Internal::halide_type_to_c_source(), and Halide::Internal::GeneratorParamImpl< T >::value().

## ◆ get_type_decls()

template<typename T >

std::string Halide::Internal::GeneratorParam_Type< T >::get_type_decls | ( |  | ) | const
| inline override virtual

Reimplemented from Halide::Internal::GeneratorParam_Enum< T >.

Definition at line 913 of file Generator.h.

The documentation for this class was generated from the following file:

- src/Generator.h